diff -ruBbd cacti-0.8.6d/include/config_settings.php cacti-0.8.6d-new/include/config_settings.php
--- cacti-0.8.6d/include/config_settings.php	2005-04-26 20:47:36.000000000 -0400
+++ cacti-0.8.6d-new/include/config_settings.php	2005-05-15 17:32:58.000000000 -0400
@@ -40,7 +40,8 @@
 	"thumbnail" => "Graph Thumbnails",
 	"tree" => "Tree View Mode",
 	"preview" => "Preview Mode",
-	"list" => "List View Mode");
+	"list" => "List View Mode",
+	"fonts" => "Graph Fonts (RRDtool 1.2.x and Above)");
 
 /* setting information */
 $settings = array(
@@ -413,6 +414,62 @@
 			"method" => "textbox",
 			"default" => "30",
 			"max_length" => "10"
+			),
+		"fonts_header" => array(
+			"friendly_name" => "Default RRDtool 1.2 Fonts",
+			"method" => "spacer",
+			),
+		"title_size" => array(
+			"friendly_name" => "Title Font Size",
+			"description" => "The size of the font used for Graph Titles",
+			"method" => "textbox",
+			"default" => "12",
+			"max_length" => "10"
+			),
+		"title_font" => array(
+			"friendly_name" => "Title Font File",
+			"description" => "The font file to use for Graph Titles",
+			"method" => "textbox",
+			"max_length" => "100"
+			),
+		"legend_size" => array(
+			"friendly_name" => "Legend Font Size",
+			"description" => "The size of the font used for Graph Legend items",
+			"method" => "textbox",
+			"default" => "10",
+			"max_length" => "10"
+			),
+		"legend_font" => array(
+			"friendly_name" => "Legend Font File",
+			"description" => "The font file to be used for Graph Legend items",
+			"method" => "textbox",
+			"max_length" => "100"
+			),
+		"axis_size" => array(
+			"friendly_name" => "Axis Font Size",
+			"description" => "The size of the font used for Graph Axis",
+			"method" => "textbox",
+			"default" => "8",
+			"max_length" => "10"
+			),
+		"axis_font" => array(
+			"friendly_name" => "Axis Font File",
+			"description" => "The font file to be used for Graph Axis items",
+			"method" => "textbox",
+			"max_length" => "100"
+			),
+		"unit_size" => array(
+			"friendly_name" => "Unit Font Size",
+			"description" => "The size of the font used for Graph Units",
+			"method" => "textbox",
+			"default" => "8",
+			"max_length" => "10"
+			),
+		"unit_font" => array(
+			"friendly_name" => "Unit Font File",
+			"description" => "The size of the font used for Graph Unit items",
+			"method" => "textbox",
+			"max_length" => "100"
 			)
 		),
 	"poller" => array(
@@ -685,6 +742,60 @@
 			"default" => "10",
 			"max_length" => "10"
 			)
+		),
+	"fonts" => array(
+		"title_size" => array(
+			"friendly_name" => "Title Font Size",
+			"description" => "The size of the font used for Graph Titles",
+			"method" => "textbox",
+			"default" => "12",
+			"max_length" => "10"
+			),
+		"title_font" => array(
+			"friendly_name" => "Title Font File",
+			"description" => "The font file to use for Graph Titles",
+			"method" => "textbox",
+			"max_length" => "100"
+			),
+		"legend_size" => array(
+			"friendly_name" => "Legend Font Size",
+			"description" => "The size of the font used for Graph Legend items",
+			"method" => "textbox",
+			"default" => "10",
+			"max_length" => "10"
+			),
+		"legend_font" => array(
+			"friendly_name" => "Legend Font File",
+			"description" => "The font file to be used for Graph Legend items",
+			"method" => "textbox",
+			"max_length" => "100"
+			),
+		"axis_size" => array(
+			"friendly_name" => "Axis Font Size",
+			"description" => "The size of the font used for Graph Axis",
+			"method" => "textbox",
+			"default" => "8",
+			"max_length" => "10"
+			),
+		"axis_font" => array(
+			"friendly_name" => "Axis Font File",
+			"description" => "The font file to be used for Graph Axis items",
+			"method" => "textbox",
+			"max_length" => "100"
+			),
+		"unit_size" => array(
+			"friendly_name" => "Unit Font Size",
+			"description" => "The size of the font used for Graph Units",
+			"method" => "textbox",
+			"default" => "8",
+			"max_length" => "10"
+			),
+		"unit_font" => array(
+			"friendly_name" => "Unit Font File",
+			"description" => "The size of the font used for Graph Unit items",
+			"method" => "textbox",
+			"max_length" => "100"
+			)
 		)
 	);
 
diff -ruBbd cacti-0.8.6d/lib/rrd.php cacti-0.8.6d-new/lib/rrd.php
--- cacti-0.8.6d/lib/rrd.php	2005-04-26 20:47:36.000000000 -0400
+++ cacti-0.8.6d-new/lib/rrd.php	2005-05-15 17:32:55.000000000 -0400
@@ -698,6 +698,42 @@
 		"$graph_legend" .
 		"--vertical-label=\"" . $graph["vertical_label"] . "\"" . RRD_NL;
 
+	/* rrdtool 1.2.x does not provide smooth lines, let's force it */
+	if (read_config_option("rrdtool_version") == "rrd-1.2.x") {
+		$graph_opts .= "--slope-mode" . RRD_NL;
+	}
+
+	/* rrdtool 1.2 font options */
+	if (read_config_option("rrdtool_version") == "rrd-1.2.x") {
+		/* title fonts */
+		if (file_exists(read_graph_config_option("title_font"))) {
+			$graph_opts .= "--font TITLE:" . read_graph_config_option("title_size") . ":" . read_graph_config_option("title_font") . RRD_NL;
+        }elseif (file_exists(read_config_option("title_font"))) {
+			$graph_opts .= "--font TITLE:" . read_config_option("title_size") . ":" . read_config_option("title_font") . RRD_NL;
+		}
+
+		/* axis fonts */
+		if (file_exists(read_graph_config_option("axis_font"))) {
+			$graph_opts .= "--font AXIS:" . read_graph_config_option("axis_size") . ":" . read_graph_config_option("axis_font") . RRD_NL;
+        }elseif (file_exists(read_config_option("axis_font"))) {
+			$graph_opts .= "--font AXIS:" . read_config_option("axis_size") . ":" . read_config_option("axis_font") . RRD_NL;
+		}
+
+		/* legend fonts */
+		if (file_exists(read_graph_config_option("legend_font"))) {
+			$graph_opts .= "--font LEGEND:" . read_graph_config_option("legend_size") . ":" . read_graph_config_option("legend_font") . RRD_NL;
+        }elseif (file_exists(read_config_option("legend_font"))) {
+			$graph_opts .= "--font LEGEND:" . read_config_option("legend_size") . ":" . read_config_option("legend_font") . RRD_NL;
+        }
+
+		/* unit fonts */
+		if (file_exists(read_graph_config_option("unit_font"))) {
+			$graph_opts .= "--font UNIT:" . read_graph_config_option("unit_size") . ":" . read_graph_config_option("unit_font") . RRD_NL;
+        }elseif (file_exists(read_config_option("unit_font"))) {
+			$graph_opts .= "--font UNIT:" . read_config_option("unit_size") . ":" . read_config_option("unit_font") . RRD_NL;
+        }
+	}
+
 	$i = 0;
 	if (sizeof($graph_items > 0)) {
 	foreach ($graph_items as $graph_item) {
